Package Scientific :: Package IO :: Module PDB :: Class PeptideChain

[frames] | no frames]

# Class PeptideChain

    Chain --+
            |
           PeptideChain

Peptide chain in a PDB file

Instance Methods

isCompatible(self, chain_data, residue_data) |

`bool`

isTerminated(self) Returns: `True` if the last residue is in C-terminal configuration |

Inherited from `Chain`: `__getitem__`, `__getslice__`, `__init__`, `__len__`, `addResidue`, `deleteHydrogens`, `removeResidues`, `sequence`, `writeToFile`

Method Details

### isTerminated(self)

Returns: `bool`
  `True` if the last residue is in C-terminal configuration